Bug 125368 - Parted fails with a floating point exception
Parted fails with a floating point exception
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-05 05:11 EDT by Mark Ferguson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 09:17:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Ferguson 2004-06-05 05:11:01 EDT
Description of problem:
Parted fails with a floating point exception

Version-Release number of selected component (if applicable):
1.6.9

How reproducible:
Always

Steps to Reproduce:
1. /sbin/parted
2.
3.
  
Actual results:
Floating point exception

Expected results:
'(parted)' prompt

Additional info:
Comment 1 Jeremy Katz 2004-06-05 12:50:36 EDT
Can you run parted under gdb and get a backtrace?
Comment 2 Mark Ferguson 2004-06-06 05:56:31 EDT
First of all, I think this is related to bug 123807 - Nautilus crashes
 on startup. This does not happen to parted until I insert a normal CD
and a blank CD into the CD drives I have. I then get a Nautilus error
message and from then on parted throw a floating point exception...

Starting program: /sbin/parted
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...
Program received signal SIGFPE, Arithmetic exception.
0x0000003623924e2b in ped_disk_aix_done () from
/usr/lib64/libparted-1.6.so.0
(gdb)

Here is my /etc/fstab

LABEL=/1                /                       ext3    defaults     
  1 1
none                    /dev/pts                devpts  gid=5,mode=620
 0 0
none                    /dev/shm                tmpfs   defaults     
  0 0
LABEL=/home1            /home                   ext3    defaults     
  1 2
none                    /proc                   proc    defaults     
  0 0
none                    /sys                    sysfs   defaults     
  0 0
/dev/hda6               swap                    swap    defaults     
  0 0
/dev/hdb3               swap                    swap    defaults     
  0 0
/dev/cdrom              /mnt/cdrom              udf,iso9660
noauto,owner,kudzu,ro 0 0
/dev/cdrom1             /mnt/cdrom1             udf,iso9660
noauto,owner,kudzu,ro 0 0
Comment 3 Jeremy Katz 2004-06-08 11:16:35 EDT
Can you install the -debuginfo package (available from at least
download.fedora if not the mirror you pulled from), get the segfault
in gdb and then type 'bt' to get a full backtrace?
Comment 4 Daniel Jensen 2004-07-21 13:18:54 EDT
This may well be related to the bug described in
http://bugs.gentoo.org/show_bug.cgi?id=40894 and
http://qtparted.sourceforge.net/forums/viewtopic.php?t=45 , which was
resolved upstream in 1.6.10. This bit me when trying to figure out how
to fix my partition table (the infamous 'fedora install messes hdgeom
up royally, making windows unbootable' bug, the normal fix for which
didn't work in my case). I think it would be a good idea to get an
updated package out ASAP.
Comment 5 Patrice Dumas 2004-08-18 12:05:04 EDT
I don't know if it is usefull, but I got parted to fail in the same
way. Here is a backtrace:

[root@zeus config-cired]# gdb parted
GNU gdb Red Hat Linux (6.0post-0.20040223.19rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host
libthread_db library "/lib/tls/libthread_db.so.1".

(gdb) run
Starting program: /sbin/parted 
Error while mapping shared library sections:
: Succès.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
....

Program received signal SIGFPE, Arithmetic exception.
0x00552700 in __udivdi3 () from /usr/lib/libparted-1.6.so.0
(gdb) bt
#0  0x00552700 in __udivdi3 () from /usr/lib/libparted-1.6.so.0
#1  0x0053bbf9 in _device_get_length (dev=0x8314e78) at linux.c:426
#2  0x0053bc9c in _device_probe_geometry (dev=0x8314e78) at linux.c:454
#3  0x0053bf68 in init_ide (dev=0x8314e78) at linux.c:547
#4  0x0053c773 in linux_new (path=0x8313e70 "/dev/hdb") at linux.c:847
#5  0x0051b519 in ped_device_get (path=0x0) at device.c:157
#6  0x0051b3fd in _ped_device_probe (path=0x557790 "/dev/hdb") at
device.c:113
#7  0x0053db62 in _probe_standard_devices () at linux.c:1475
#8  0x0051b432 in ped_device_probe_all () at device.c:122
#9  0x0804e345 in _choose_device (argc_ptr=0xfeefe2d0,
argv_ptr=0xfeefe2d4)
    at parted.c:1547
#10 0x0804e3e6 in _init (argc_ptr=0xfeefe2d0, argv_ptr=0xfeefe2d4)
    at parted.c:1582
#11 0x0804e52e in main (argc=0, argv=0xfeefe358) at parted.c:1634
#12 0x00d63ad4 in __libc_start_main () from /lib/tls/libc.so.6
#13 0x0804a5d1 in _start ()
(gdb) 
Comment 6 David 2004-10-11 15:34:35 EDT
The solution for this is to have your CD/DVD drives empty (if you have
CD/DVDs inside, mounted or umounted, this error always happens).
Comment 7 Jeremy Katz 2004-11-04 09:17:48 EST
Should be fixed with newer versions of parted.

Note You need to log in before you can comment on or make changes to this bug.